@import url("https://fonts.googleapis.com/css2?family=Albert+Sans:ital,wght@0,100..900;1,100..900&display=swap");

/*
 * CSS Resets
 * This is just to remove default styles of html tags.
 */
 
  /* 1. Use a more-intuitive box-sizing model */
*, *::before, *::after {
    box-sizing: border-box;
  }
  /* 2. Remove default margin */
  * {
    margin: 0;
  }
  body {
    /* 3. Add accessible line-height */
    line-height: 1.5;
    /* 4. Improve text rendering */
    -webkit-font-smoothing: antialiased;
  }
  /* 5. Improve media defaults */
  img, picture, video, canvas, svg{
    display: block;
    max-width: 100%;
  }
  /* 6. Inherit fonts for form controls */
  input, button, textarea, select {
    font: inherit;
  }
  /* 7. Avoid text overflows */
  p, h1, h2, h3, h4, h5, h6 {
    overflow-wrap: break-word;
  }
  /* 8. Improve line wrapping */
  p {
    text-wrap: pretty;
  }
  h1, h2, h3, h4, h5, h6 {
    text-wrap: balance;
  }


/*
 * General Webpage Styles
 * These are styles that will be used by multiple webpages
 */

 :root {
  --primary: #1B1B1B;
  --secondary: #D9D9D9; 
  --accent-1: #1E1E1E;
  --accent-2: #2B2B2B;
  --default-light: #FFFFFF;
  --default-dark: #0A0A0A;

  --semi-bold: 500;
  --bold: 600;
  --extra-bold: 700z;
}
body {
  font-family: "Albert Sans", serif;
  background-color: var(--primary);
  color: var(--default-light);
}
img {
  width: 150px;
  height: 150px;
}
a {
  text-decoration: none;
  color: inherit;
}
h2 {
  font-size: 2.5rem;
  line-height: 2.5rem;
}
h3 {
  font-size: 2rem;
}
h4 {
  font-size: 1.5rem;
}
h5, label{
  font-size: 1.1rem;
  line-height: 1.5rem;
}
.dark-button {
  padding: 0.6em 2.5em;
  border: none;
  border-radius: 10px;
  background-color: var(--accent-2);
  color: var(--default-light);
  font-weight: 700;
}


/* 
 * Start of Content Styling
 */
#main-header-content {
  position: fixed;
  left: 0;
  top: 0;
  display: flex;
  justify-content: space-between;
  align-content: center;
  width: 100%;
  height: 80px;
  padding: 1em 2em;
  background-color: #0A0A0A;

  figure {
    display: flex;
    justify-content: left;
    align-items: center;
    img {
      width: 50px;
      height: 50px;
      border-radius: 50%;
      margin-right: 10px;
    }
  }
  nav {
    display: flex;
    justify-content: right;
    align-items: center; 
    div {
      margin-right: 20px;
    }
  }
}

#voting-test-body-container {
  background-color: #2B2B2B;
  margin: 80px 150px 0px;
  padding: 2em;
  
  >section {
    background-color: #D9D9D9;
    margin: 0px 5% 10px;
    color: #1B1B1B;
    min-height: 600px;
  }
  #page-title {
    font-size: 3.5rem;
    font-weight: 700;
    text-align: center;
  }
  #start-test {
    display: block;
  }
  #test-proper, #additional-information,
  #account-creation, #finish-test {
    display: none;
  }
}

#start-test {
  padding: 5rem;
  text-align: center;
  h4 {
    width: 80%;
    margin: auto;
  }
  #start-button {
    width: 200px;
    margin: auto;
  }
}


#test-proper, #additional-information, #account-creation, #finish-test{
  header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0.5rem 2rem;

    figure {
      display: flex;
      justify-content: left;
      align-items: center;
      font-weight: 700;
      img {
        width: 50px;
        height: 50px;
        border-radius: 50%;
        margin-right: 10px;
      }
    }
    p {
      display: flex;
      justify-content: left;
      align-items: center;
      font-weight: 500;
    }
  }
  
  #progress-bar {
    height: 12px;
    background-color: var(--default-light);
    #current-progress {
      height: inherit;
      background-color: var(--accent-2);
    }
  }
  #test-content-body {
    display: flex;
    justify-content: space-around;
  }
  footer {
    display: flex;
    justify-content: space-between;
    width: 60%;
    margin: 20px auto 0px;
  }

  h5 {
    width: 80%;
    margin: auto;
  }
}


#test-proper {  
  span {
    display: inline-block;
    margin: 0px 5px;
  }
  #test-content-body {
    display: flex;
    flex-direction: column;
    row-gap: 50px;
    padding: 2em 5em;
  
    #question-portion {
      text-align: center;
      h2 {
        font-size: 3rem;
      }
      p {
        width: 80%;
      }
      #more-details {
        margin: 20px auto 0px;
        text-align: center;
        text-decoration: underline;
      }
      #answer-display {
        margin: 20px auto 0px;
        text-align: center;
        color: red;
      }
    }
    #answer-portion {
      display: flex;
      justify-content: center;
      align-items: center;
      .answer-containers {
        text-align: center;
        .radio-button {
          margin: auto;
        }
      }
      .answer-containers {
        margin: 0px 5%;     
      }
      .radio-button {
        width: 60px;
        height: 60px;
        border: solid 2px var(--accent-2);
        border-radius: 50%;
        margin-right: 20px;
      }
      p {
        font-size: 1.2rem;
      }
    }
  }
}

#additional-information {  
  #additional-information-body-content {
    padding: 2rem;
    text-align: center;  
  
    select{
      width: 200px;
      border-radius: 5px;
    }
  }
}

#account-creation {
  #account-creation-body-content {
    padding: 5rem;  
    text-align: center;  
  
    input{
      width: 250px;
      border-radius: 5px;
    }
  }
}

#finish-test-body-content {
  padding: 5rem;
  text-align: center;  

  #goto-home-button {
    width: 200px;
    margin: auto;
  }
}


@media screen and (max-width: 1224px) {
  #start-test {
    h4 {
      font-size: 1.2rem;
    }
  }
  #test-proper, #additional-information {
    h5 {
      width: 100%;
      font-size: 1rem;
    }
    .radio-button {
      width: 40px !important;
      height: 40px !important;
    }
    footer {
      margin: 10px auto;
      width: 80%;
    }
  }
}


@media screen and (max-width: 890px) {
  h5, p, a, .dark-button{
    font-size: 0.8em !important;
    line-height: 1.2em;
  }
  h4 { 
    font-size: 0.9em !important;
  }
  #main-header-content {
    height: 50px;
  }
  #voting-test-body-container {
    margin: 50px 0px 0px;
    >section {
      padding: 1em; 
    }
    header {
      padding: 0.5em;
      justify-content: space-between;
    }
    #test-content-body {
      padding: 20px;
    }
  }
  .dark-button{
    padding: 0.6em 1em; 
  }
  
  #finish-test {
    #finish-test-body-content {
      padding: 1em;
    }
  }
}
